Package: org.grails.async.decorator

## [Groovy] Interface PromiseDecorator

- Decorates any function execution potentially wrapping an asynchronous function execution in new functionality.

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `groovy.lang.Closure<D>` | `decorate(groovy.lang.Closure<D> c)` Decorates the given closures, returning the decorated closure

- - ### Method Detail

    - #### groovy.lang.Closure<D> decorate(groovy.lang.Closure<D> c)

      Decorates the given closures, returning the decorated closure

      Parameters:
        `c` - The closure to decorate
      Returns:
        The decorated closure